Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# paned.hh File Reference

A GtkPaned, GtkHPaned and GtkVPaned C++ wrapper interface. More...

`#include <xfc/gtk/container.hh>`
`#include <gtk/gtkhpaned.h>`
`#include <gtk/gtkvpaned.h>`
`#include <xfc/gtk/inline/paned.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Paned
    A GtkPaned C++ wrapper class. More...
- class Xfc::Gtk::HPaned
    A GtkHPaned C++ wrapper class. More...
- class Xfc::Gtk::VPaned
    A GtkVPaned C++ wrapper class. More...

## Detailed Description

A GtkPaned, GtkHPaned and GtkVPaned C++ wrapper interface.

Provides Paned, the base class for widgets with two panes, arranged either horizontally (HPaned) or vertically (VPaned).
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3